<?php

namespace App\Models\Claim;

use App\Models\User\User;
use Illuminate\Database\Eloquent\Model;

class CareSettingStatementHistory extends Model
{
    protected $table = 'care_setting_statement_history';

    protected $fillable = [
        'care_setting_id',
        'statement',
        'user_id',
    ];

    public function careSetting()
    {
        return $this->belongsTo(CareSetting::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
